Subject: Re: [PATCH/RFC] powerpc: Refactor 64 bits DMA operations

From: Christoph Hellwig <[email-masked]>
Date: Sat, 4 Nov 2006 14:21:02 +0100

On Sat, Nov 04, 2006 at 08:21:34AM +1100, Benjamin Herrenschmidt wrote:
> This is also something I'll need in 2.6.20. Right now posted only for
> comments though. It's known to "miss" fixup of at least pasemi and maybe
> a few other things and I've not tested if I break 32 bits build yet :)
> 
> This patch completely refactors DMA operations for 64 bits powerpc. 32 bits
> is untouched for now.

Can we please make 32bit use the same scheme for consistancy?  It would
just plug in a set of dummy direct mapped ops, quite similar to what we
do in Cell (just without setting the magic bit)